<template>
    <form @submit="onSubmit" action="post" class="add-form">
        <div class="form-control">
            <label for="task">Task
                <input type="text" v-model="text" name="task" placeholder="Add Task">
            </label>
        </div>
        <div class="form-control">
            <label for="daytime">Day & Time
                <input type="text" v-model="day" name="day" placeholder="Add Day & Time">
            </label>
        </div>
        <div class="form-control form-control-check">
            <label for="reminder"> Set Reminder
                <input type="checkbox" v-model="reminder" name="reminder">
            </label>
        </div>
        <input type="submit" value="Save Task" class="btn btn-success w-100">
    </form>
</template>

<script>
export default {
    name: 'AddTask',
    data() {
        return {
            text: '',
            day: '',
            reminder: false
        }
    },
    methods: {
        onSubmit(e) {
           // e.preventDefault();
            console.log("POST")
            if(!this.text) {
                alert('Please add a task')
                return 
            }
            const newTask = {
                //id: Math.floor(Math.random() * 10000),
                text: this.text,
                day: this.day,
                reminder: this.reminder
            }

            this.$emit('add-task', newTask)

            this.text = ''
            this.day = ''
            this.reminder = ''
        }
    }

}
</script>

<style scoped>
input {
    border: none;
}
input:focus{
    border: none;
}
</style>